Description

Developers should be able to specify default field values, and hidden fields, for Entity proxy models, and have those settings obeyed
when using EntityForms.

History

#1 - 10/21/2010 04:21 PM - Stephen Burrows
- Status changed from New to In Progress
- Assignee set to Stephen Burrows

- % Done changed from 0 to 50

I've implemented the default field values with commit {578580e09ad5ef0466d48983c7480fcaccb42b4. I'm not entirely clear on what is meant by
"hidden fields".... fields with editable=False?

#2 - 10/21/2010 07:16 PM - Stephen Burrows
- Status changed from In Progress to Feedback
- Assignee changed from Stephen Burrows to Joseph Spiros

- % Done changed from 50 to 100

This should be resolved with commit 78da723fd43fdaa44f588c0b642ca8f8348b4be0, which enables both an “editable™ property on proxy fields and
lets proxy fields be referenced by readonly_fields etc. on django ModelAdmins.

#3 - 01/06/2011 10:31 AM - Joseph Spiros

- Status changed from Feedback to Resolved

What | meant by "hidden" is the removal of the field for which a default value is set from the form. So, this is resolved by being able to exclude that
field from the fields declaration on the ModelAdmin.
